package treesettest;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import java.util.Set;
import java.util.TreeSet;


@Entity
public class DropdownCategory extends EntityBase {

    private String dropdownCategory;

    @OneToMany(fetch = FetchType.EAGER)
    private Set<DropdownValue> dropdownValues = new TreeSet<>();

    public DropdownCategory(String dropdownCategory) {
        this.dropdownCategory = dropdownCategory;
    }

    public DropdownCategory() {
    }

    @Override
    public String toString() {
        return dropdownCategory;
    }

    public String getDropdownCategory() {
        return dropdownCategory;
    }

    public void setDropdownCategory(String dropdownCategory) {
        this.dropdownCategory = dropdownCategory;
    }

    public Set<DropdownValue> getDropdownValues() {
        return dropdownValues;
    }

    public void setDropdownValues(Set<DropdownValue> dropdownValues) {
        this.dropdownValues = dropdownValues;
    }
}
