package treesettest;

import javax.persistence.Entity;

@Entity
public class DropdownValue extends EntityBase implements Comparable<DropdownValue> {

    private String dropdownValue;

    public DropdownValue(String dropdownValue) {
        this.dropdownValue = dropdownValue;
    }

    public DropdownValue() {
    }

    public String getValue() {
        return dropdownValue;
    }

    public void setValue(String value) {
        this.dropdownValue = value;
    }

    @Override
    public String toString() {
        return dropdownValue;
    }

    @Override
    public int compareTo(DropdownValue ddv) {
        return String.CASE_INSENSITIVE_ORDER.compare(dropdownValue, ddv.dropdownValue);
    }
}
